using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Poklon
{
    internal class Program
    {
        static void Resenje(int[]a,int l, int r)
        {
            bool izbrisan = false;
            bool moze = true;
            int[] b = new int[a.Length];
            for(int i=0;i<b.Length;i++)
            {
                b[i] = a[i];
            }
            for(int i=l;i<r;i++)
            {
                if (b[i] < b[i - 1] && izbrisan == false)
                {
                    izbrisan = true;
                }
                else if (b[i] < b[i - 1]&&izbrisan == true)
                {
                    moze = false;
                }
            }
            if (moze == true)
                Console.WriteLine("DA");
            else
                Console.WriteLine("NE");
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            string[] unos = Console.ReadLine().Split();
            int[] a = new int[n];
            for(int i=0; i < n; i++)
            {
                a[i] = int.Parse(unos[i]);
            }
            int q=int.Parse(Console.ReadLine());
            int[] l = new int[q];
            int[] r = new int[q];
            for(int i=0; i < q; i++)
            {
                unos = Console.ReadLine().Split();
                l[i] = int.Parse(unos[0]);
                r[i] = int.Parse(unos[1]);
            }
            for(int i=0;i<q;i++)
            {
                Resenje(a, l[i], r[i]);
            }
        }
    }
}